package com.xin.shardingspherejdbcdemo.controller;

import com.google.common.collect.Maps;
import com.xin.shardingspherejdbcdemo.config.sharding.MyDataSourceConfig;
import com.xin.shardingspherejdbcdemo.config.sharding.MyDataSourcePropertie;
import com.xin.shardingspherejdbcdemo.entity.Order;
import com.xin.shardingspherejdbcdemo.entity.vo.AjaxVo;
import com.xin.shardingspherejdbcdemo.service.impl.JdbcServiceImpl;
import com.xin.shardingspherejdbcdemo.utils.JdbcUtils;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.compress.utils.Lists;
import org.apache.commons.compress.utils.Sets;
import org.apache.ibatis.javassist.Modifier;
import org.apache.shardingsphere.core.config.ShardingConfigurationException;
import org.apache.shardingsphere.core.rule.DataNode;
import org.apache.shardingsphere.core.rule.ShardingRule;
import org.apache.shardingsphere.core.rule.TableRule;
import org.apache.shardingsphere.shardingjdbc.jdbc.core.datasource.ShardingDataSource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.sql.DataSource;
import java.lang.reflect.Field;
import java.sql.*;
import java.util.*;
import java.util.Date;
import java.util.concurrent.atomic.AtomicInteger;

@Controller
@RequestMapping("/jdbc")
public class JdbcController {

    static {
        try {
            Class.forName("com.mysql.cj.jdbc.Driver");//加载数据库驱动
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }
    }

    @Autowired
    private JdbcServiceImpl jdbcService;

    @GetMapping("/test")
    @ResponseBody
    public AjaxVo createTable() throws SQLException {
        jdbcService.createTable();
        return AjaxVo.success();
    }




    @GetMapping
    @ResponseBody
    public AjaxVo saveUser() throws SQLException, NoSuchFieldException, IllegalAccessException {
        jdbcService.checkDb();
        return AjaxVo.success();
    }


}
