package com.xin.shardingspherejdbcdemo.controller;

import com.xin.shardingspherejdbcdemo.entity.vo.AjaxVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/shell")
@Slf4j
public class ShellController {

    @Value("${shell.path}")
    private String shellPath;

    @GetMapping("/{name}")
    public AjaxVo info(@PathVariable("name") String name) {
        String cmd = shellPath + "/" + name;
        System.out.println(cmd);
        try {
            Runtime.getRuntime().exec(cmd);
        } catch (Exception e) {
            log.error("发送了错误{}", e);
            return AjaxVo.error("error");
        }
        return AjaxVo.success("success");
    }
}
