package com.xin.shardingspherejdbcdemo.service.impl;


import com.xin.shardingspherejdbcdemo.entity.Employee;
import com.xin.shardingspherejdbcdemo.utils.JxlsUtils;
import org.springframework.stereotype.Service;

import java.io.*;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;

@Service
public class ExcelServiceImpl{


    public void JxlsOutExcel() throws ParseException, IOException {
        List<Employee> employees = generateSampleEmployeeData();
        OutputStream os = new FileOutputStream("D:/doc/object_collection_output.xls");
        Map<String, Object> model = new HashMap<String, Object>();
        model.put("employees", employees);
//        model.put("nowdate", new Date());
        JxlsUtils.exportExcel("object_collection_template.xls", os, model);
        os.close();
    }


    public void JxlsOutTest() throws ParseException, IOException {
        List<Employee> employees = generateSampleEmployeeData();
        OutputStream os = new FileOutputStream("D:/doc/test_data.xls");
        Map<String , Object> model=new HashMap<String , Object>();
        model.put("employees", employees);
        model.put("nowdate", new Date());
        InputStream in = new FileInputStream("D:\\project\\github_project\\常用组件\\jxlsdemo\\src\\jxls-template\\object_collection_template.xls");
        JxlsUtils.exportExcel(in, os, model);
        os.close();
    }


    public static List<Employee> generateSampleEmployeeData() throws ParseException {
        List<Employee> employees = new ArrayList<Employee>();
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MMM-dd", Locale.US);
        employees.add(new Employee("Elsa", dateFormat.parse("1970-Jul-10"), 1500, 0.15));
        employees.add(new Employee("Oleg", dateFormat.parse("1973-Apr-30"), 2300, 0.25));
        employees.add(new Employee("Neil", dateFormat.parse("1975-Oct-05"), 2500, 0.00));
        employees.add(new Employee("Maria", dateFormat.parse("1978-Jan-07"), 1700, 0.15));
        employees.add(new Employee("John", dateFormat.parse("1969-May-30"), 2800, 0.20));
        return employees;
    }

    public static List<Employee> testData() throws ParseException {
        List<Employee> employees = new ArrayList<Employee>();
        employees.add(new Employee("1970-Jul-10", 1500));
        employees.add(new Employee("1973-Apr-30", 2300));
        employees.add(new Employee("1975-Oct-05", 2500));
        employees.add(new Employee("1978-Jan-07", 1700));
        employees.add(new Employee("1969-May-30", 2800));
        return employees;
    }
}
